Skip to main content
POST
https://api.aisa.one/apis/v1
/
dataforseo
/
backlinks
/
summary
/
live
Backlinks Summary
curl --request POST \
  --url https://api.aisa.one/apis/v1/dataforseo/backlinks/summary/live \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "target": "<string>",
  "include_subdomains": true,
  "include_indirect_links": true,
  "exclude_internal_backlinks": true,
  "internal_list_limit": 123,
  "backlinks_status_type": "<string>",
  "backlinks_filters": [
    "<string>"
  ],
  "rank_scale": "<string>",
  "tag": "<string>"
}
'
{
  "version": "<string>",
  "status_code": 123,
  "status_message": "<string>",
  "time": "<string>",
  "cost": 123,
  "tasks_count": 123,
  "tasks_error": 123,
  "tasks": [
    "<string>"
  ],
  "tasks.id": "<string>",
  "tasks.status_code": 123,
  "tasks.status_message": "<string>",
  "tasks.time": "<string>",
  "tasks.cost": 123,
  "tasks.result_count": 123,
  "tasks.path": [
    "<string>"
  ],
  "tasks.data": {},
  "tasks.result": [
    "<string>"
  ],
  "tasks.result.target": "<string>",
  "tasks.result.first_seen": "<string>",
  "tasks.result.lost_date": "<string>",
  "tasks.result.rank": 123,
  "tasks.result.backlinks": 123,
  "tasks.result.backlinks_spam_score": 123,
  "tasks.result.crawled_pages": 123,
  "tasks.result.info": {},
  "tasks.result.info.server": "<string>",
  "tasks.result.info.cms": "<string>",
  "tasks.result.info.platform_type": [
    "<string>"
  ],
  "tasks.result.info.ip_address": "<string>",
  "tasks.result.info.country": "<string>",
  "tasks.result.info.is_ip": true,
  "tasks.result.info.target_spam_score": 123,
  "tasks.result.internal_links_count": 123,
  "tasks.result.external_links_count": 123,
  "tasks.result.broken_backlinks": 123,
  "tasks.result.broken_pages": 123,
  "tasks.result.referring_domains": 123,
  "tasks.result.referring_domains_nofollow": 123,
  "tasks.result.referring_main_domains": 123,
  "tasks.result.referring_main_domains_nofollow": 123,
  "tasks.result.referring_ips": 123,
  "tasks.result.referring_subnets": 123,
  "tasks.result.referring_pages": 123,
  "tasks.result.referring_links_tld": {},
  "tasks.result.referring_links_types": {},
  "tasks.result.referring_links_attributes": {},
  "tasks.result.referring_links_platform_types": {},
  "tasks.result.referring_links_semantic_locations": {},
  "tasks.result.referring_links_countries": {},
  "tasks.result.referring_pages_nofollow": 123
}

Documentation Index

Fetch the complete documentation index at: https://aisa.one/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
target
string
required

domain, subdomain or webpage to get data for required field a domain or a subdomain should be specified without https:// and www. a page should be specified with absolute URL (including http:// or https://)

include_subdomains
boolean

indicates if the subdomains of the target will be included in the search optional field if set to false, the subdomains will be ignored default value: true

indicates if indirect links to the target will be included in the results optional field if set to true, the results will include data on indirect links pointing to a page that either redirects to the target, or points to a canonical page if set to false, indirect links will be ignored default value: true

indicates if internal backlinks from subdomains to the target will be excluded from the results optional field if set to true, the results will not include data on internal backlinks from subdomains of the same domain as target if set to false, internal links will be included in the results default value: true

internal_list_limit
integer

maximum number of elements within internal arrays optional field you can use this field to limit the number of elements within the following arrays: referring_links_tld referring_links_types referring_links_attributes referring_links_platform_types referring_links_semantic_locations default value: 10 maximum value: 1000

set what backlinks to return and count optional field you can use this field to choose what backlinks will be returned and used for aggregated metrics for your target; possible values: all – all backlinks will be returned and counted; live – backlinks found during the last check will be returned and counted; lost – lost backlinks will be returned and counted; default value: live

filter the backlinks of your target optional field you can use this field to filter the initial backlinks that will be included in the dataset for aggregated metrics for your target you can filter the backlinks by all fields available in the response of this endpoint using this parameter, you can include only dofollow backlinks in the response and create a flexible backlinks dataset to calculate the metrics for example: "backlinks_filters": ["dofollow", "=", true]

rank_scale
string

defines the scale used for calculating and displaying the rank, domain_from_rank, and page_from_rank values optional field you can use this parameter to choose whether rank values are presented on a 0–100 or 0–1000 scale possible values: one_hundred — rank values are displayed on a 0–100 scale one_thousand — rank values are displayed on a 0–1000 scale default value: one_thousand learn more about how this parameter works and how ranking metrics are calculated in this Help Center article

tag
string

user-defined task identifier optional field the character limit is 255 you can use this parameter to identify the task and match it with the result you will find the specified tag value in the data object of the response

Response

Successful response

version
string

the current version of the API

status_code
integer

general status code you can find the full list of the response codes here Note: we strongly recommend designing a necessary system for handling related exceptional or error conditions

status_message
string

general informational message you can find the full list of general informational messages here

time
string

execution time, seconds

cost
number

total tasks cost, USD

tasks_count
integer

the number of tasks in the tasks array

tasks_error
integer

the number of tasks in the tasks array returned with an error

tasks
string[]

array of tasks

tasks.id
string

task identifier unique task identifier in our system in the UUID format

tasks.status_code
integer

status code of the task generated by DataForSEO; can be within the following range: 10000-60000 you can find the full list of the response codes here

tasks.status_message
string

informational message of the task you can find the full list of general informational messages here

tasks.time
string

execution time, seconds

tasks.cost
number

cost of the task, USD

tasks.result_count
integer

number of elements in the result array

tasks.path
string[]

URL path

tasks.data
object

contains the same parameters that you specified in the POST request

tasks.result
string[]

array of results

tasks.result.target
string

target in a POST array

tasks.result.first_seen
string

date and time when our crawler found the backlink for the target for the first time in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.lost_date
string

date and time when the backlink was lost indicates the date and time when our crawler visited the target and it responded with a 4xx or 5xx status code or when its last backlink was removed in the UTC format: “yyyy-mm-dd hh-mm-ss +00:00” example: 2019-11-15 12:57:46 +00:00

tasks.result.rank
integer

target rank learn more about the metric and how it is calculated in this help center article

indicates the number of backlinks

spam score of the backlinks displays the total spam score of all backlinks pointing to the target domain, subdomain, or webpage; to learn more about how the metric is calculated, refer to this Help Center page

tasks.result.crawled_pages
integer

number of crawled pages for the target

tasks.result.info
object

information about the target

tasks.result.info.server
string

server

tasks.result.info.cms
string

content management system

tasks.result.info.platform_type
string[]

platform type

tasks.result.info.ip_address
string

IP address of the target

tasks.result.info.country
string

country code that the target domain is determined to belong to

tasks.result.info.is_ip
boolean

indicates if the target is IP if true, the domain, subdomain or webpage functions as an IP address and does not have a domain name

tasks.result.info.target_spam_score
integer

spam score of the target if the target is a domain/subdomain, this fields indicates the average spam score of all pages of that domain/subdomain; learn more about how the metric is calculated on this help center page

number of internal links calculated as the sum of internal links on the pages of the specified target

number of external links on the page calculated as the sum of external links on the pages of the specified target

number of broken backlinks number of broken backlinks pointing to the target

tasks.result.broken_pages
integer

number of broken pages number of pages on the target that respond with 4xx or 5xx status codes note that the number of broken pages includes pages on the target discovered by following external links, but it may also include pages discovered by following the target’s sitemap

tasks.result.referring_domains
integer

indicates the number of referring domains referring domains include subdomains that are counted as separate domains for this metric

tasks.result.referring_domains_nofollow
integer

number of domains pointing at least one nofollow link to the target

tasks.result.referring_main_domains
integer

indicates the number of referring main domains

tasks.result.referring_main_domains_nofollow
integer

number of main domains pointing at least one nofollow link to the target

tasks.result.referring_ips
integer

number of referring IP addresses number of IP addresses pointing to this page

tasks.result.referring_subnets
integer

number of referring subnetworks

tasks.result.referring_pages
integer

indicates the number of pages pointing to the target

top-level domains of the referring links contains top level domains and referring link count per each

types of referring links indicates the types of the referring links and link count per each type possible values: anchor, image, link, meta, canonical, alternate, redirect

link attributes of the referring links indicates link attributes of the referring links and link count per each attribute example values: nofollow, noopener, noreferrer, external, ugc, sponsored

types of referring platforms indicates referring platform types and and link count per each platform possible values: cms, blogs, ecommerce, message-boards, wikis, news, organization

semantic locations of the referring links indicates semantic elements in HTML where the referring links are located and link count per each semantic location you can get the full list of semantic elements here example values: article, section, summary, ""

ISO country codes of the referring links indicates ISO country codes of the domains where the referring links are located and the link count per each country

tasks.result.referring_pages_nofollow
integer

number of referring pages pointing at least one nofollow link to the target